Subject: [6lo] FW: New Version Notification for draft-thubert-6lo-routing-dispatch-05.txt

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 2 Jul 2015 11:59:53 +0000

Dear all;

Please find a new version of the 6LoRH draft. V04 introduced options that we will have to evaluate, v05 fixes nits.
Options are:
- reuse MH or NALP ranges in networks were they are not in use. Cost: trouble with existing implementation.
- use of free space in the 11xxxxxx range. Cost: this reduces the possibilities in the 6LoRH, the max length etc...
- add a delineator, 1111111111, say,  that terminates the zone of the packet where 00xxxxxx 10xxxxxx and 11xxxxxx are defined per RFC 4944. After that boundary, they are fully free to be reused. Cost: one byte per message.

Cheers,

Pascal

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: jeudi 2 juillet 2015 13:36
To: Robert Cragie; Pascal Thubert (pthubert); Pascal Thubert (pthubert); Laurent Toutain; Carsten Bormann; Laurent Toutain; Dr. Carsten Bormann; Robert Cragie
Subject: New Version Notification for draft-thubert-6lo-routing-dispatch-05.txt

A new version of I-D, draft-thubert-6lo-routing-dispatch-05.txt
has been successfully submitted by Pascal Thubert and posted to the IETF repository.

Name:		draft-thubert-6lo-routing-dispatch
Revision:	05
Title:		A Routing Header Dispatch for 6LoWPAN
Document date:	2015-07-02
Group:		Individual Submission
Pages:		23
URL:            https://www.ietf.org/internet-drafts/draft-thubert-6lo-routing-dispatch-05.txt
Status:         https://datatracker.ietf.org/doc/draft-thubert-6lo-routing-dispatch/
Htmlized:       https://tools.ietf.org/html/draft-thubert-6lo-routing-dispatch-05
Diff:           https://www.ietf.org/rfcdiff?url2=draft-thubert-6lo-routing-dispatch-05

Abstract:
   This specification provides a new 6LoWPAN dispatch type for use in
   Route-over and mixed Mesh-under and Route-over topologies, that
   reuses the encoding of the mesh type defined in RFC 4944 for pure
   Mesh-under topologies.  This specification also defines a method to
   compress RPL Option (RFC6553) information and Routing Header type 3
   (RFC6554), an efficient IP-in-IP technique and opens the way for
   further routing techniques.  This extends 6LoWPAN Transmission of
   IPv6 Packets (RFC4944), and is applicable to new link-layer types
   where 6LoWPAN is being defined.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat